/build/ldns-eVLWSH/ldns-1.8.4/error.c File Reference

Go to the source code of this file.

## Functions

const char * | ldns_get_errorstr_by_id (ldns_status err)
| look up a descriptive text by each error.

## Variables

ldns_lookup_table | ldns_error_str []

## Function Documentation

## ldns_get_errorstr_by_id()

const char * ldns_get_errorstr_by_id | ( | ldns_status | err | ) |

look up a descriptive text by each error.

This function could use a better name

Parameters

  [in] | err | ldns_status number

Returns
  the string for that error

Definition at line 196 of file error.c.

References ldns_error_str, ldns_lookup_by_id(), and ldns_struct_lookup_table::name.

## Variable Documentation

## ldns_error_str

ldns_lookup_table ldns_error_str[]

Definition at line 15 of file error.c.